Subject: Re: [PATCH] Update udbg_progress() to display the integer

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 07 Feb 2007 10:38:22 +1100

> It would have been for the 2-line display on IBM RS/6000 machines.  If
> that's still needed, we can put it in arch/powerpc/platforms/chrp
> somewhere, so feel free to remove it from ppc_init().

Do we actually care about this progress stuff ? I've been tempted more
than once to rip it all off... we have console access as early as we can
do progress output on most powerpc platforms nowadays.

If we really want some way of ack'ing that the kernel reached known
known steps with something different than a printk-type interface, then
we should probably have somewhere a list of well defined numeric
constants and use those, but then, I don't like magic numbers.

Ben.